.ball {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 40px;
  user-select: none;
  transition: transform 0.2s ease-out;
  -webkit-tap-highlight-color: transparent; }
  .ball:before {
    content: "";
    position: absolute;
    top: 6px;
    left: 6px;
    width: 100%;
    height: 100%;
    background-image: radial-gradient(circle at 50% 50%, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.25) 50%, transparent 70%);
    pointer-events: none;
    transition: transform 0.2s ease-out; }
  .ball:after {
    content: "";
    position: absolute;
    width: 60%;
    height: 60%;
    top: 12%;
    left: 24%;
    border-radius: 50%;
    background-image: radial-gradient(circle at 50% 50%, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0.8) 50%, rgba(255, 255, 255, 0) 60%);
    transform: translateX(-25%) translateY(-25%) skewX(-30deg);
    filter: blur(8px);
    pointer-events: none; }
  .ball.active {
    cursor: pointer; }
  .ball.preview:before {
    content: none; }
  .ball.dradding {
    opacity: 0.6; }
  .ball.over:not(.dradding) {
    transform: translateY(-2px); }
    .ball.over:not(.dradding):before {
      transform: translateY(2px); }

.ball__content {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  border-radius: 50%;
  box-shadow: inset -10px -10px 20px rgba(0, 0, 0, 0.2); }

.fade-in-animation {
  animation: fade-in-animation 0.4s ease-in; }

@keyframes fade-in-animation {
  0% {
    opacity: 0; }
  100% {
    opacity: 1; } }

.key-panel {
  display: flex;
  flex-shrink: 0;
  flex-wrap: wrap;
  width: 40px;
  height: 40px;
  padding: 2px 0;
  justify-content: space-around;
  align-items: center; }

.key {
  margin: 2px 4px;
  border: 1px solid;
  width: 8px;
  height: 8px;
  display: inline-block;
  border-radius: 50%; }
  .key.bull {
    background-color: black; }
  .key.cow {
    background-color: white; }
  .key:nth-child(3):nth-last-child(3) {
    margin-left: calc((100% - 8px)/2);
    margin-right: calc((100% - 8px)/2); }

.board {
  box-sizing: content-box;
  display: flex;
  justify-content: space-between;
  height: 40px;
  padding: 0.5em 0; }

.guess-panel {
  display: flex;
  flex: auto;
  justify-content: center;
  margin: 0 8px 0 0; }

.guess-panel__item {
  margin-right: 0.5em; }
  .guess-panel__item:last-child {
    margin-right: 0; }

.guess-panel__btn {
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  background-color: #606060;
  color: #fbfbfb;
  border: none; }

.main {
  padding: 0 16px; }
  @media only screen and (min-width: 412px) {
    .main {
      padding: 0 calc(50% - 412px/2 + 16px); } }

.custom-drag-layer {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  pointer-events: none;
  z-index: 1000; }

.game {
  padding-top: 40px; }

.game-header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1;
  display: flex;
  justify-content: space-between;
  align-items: stretch;
  height: 40px;
  padding: 0 16px;
  background-color: #606060;
  color: #fbfbfb; }
  @media only screen and (min-width: 412px) {
    .game-header {
      padding: 0 calc(50% - 412px/2 + 16px); } }

.game-header__stats {
  display: flex;
  align-items: center;
  font-size: 1rem; }

.game-result {
  text-align: center; }

.game-result__text {
  padding: 0.5em 0;
  font-size: 1rem;
  margin: 0; }

.btn-block {
  display: flex;
  justify-content: flex-end;
  padding: 0.5em 0; }

.btn-block__button {
  padding: 0.75em;
  margin-right: 0.5em;
  background-color: #606060;
  color: #fbfbfb;
  border: none; }
  .btn-block__button:last-child {
    margin-right: 0; }

.icon {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 10px;
  border: none;
  font-size: 1rem;
  transition: opacity 0.2s ease-in; }
  .icon:hover {
    opacity: 0.75; }

.svg-icon {
  height: 20px;
  width: 20px;
  fill: none;
  stroke: currentColor;
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round; }

.menu, .submenu {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100vh;
  overflow: auto;
  padding: 0 16px;
  background-color: #606060;
  color: #fbfbfb; }
  @media only screen and (min-width: 412px) {
    .menu, .submenu {
      padding: 0 calc(50% - 412px/2 + 16px); } }

.menu {
  transform: translateX(100%);
  transition: transform 0.2s ease-in-out;
  will-change: transform; }
  .menu.menu--open {
    transform: translateX(0); }

.submenu {
  display: none; }
  .submenu.submenu--open {
    display: block; }

.menu__header {
  display: flex;
  justify-content: flex-end;
  align-items: stretch;
  height: 40px;
  border-bottom: 1px solid; }

.menu__body {
  display: flex;
  height: 100vh; }
  .menu__body.menu__body--with-header {
    height: calc(100vh - 40px); }

.menu__list {
  width: 100%;
  margin: auto;
  text-align: center; }

.menu__group {
  margin: 0; }
  .menu__group:not(:last-child):after {
    content: '';
    display: block;
    width: 48%;
    height: 1px;
    margin: 8px auto;
    background-color: currentColor; }

.menu__btn {
  width: 100%;
  border: none;
  border-radius: 0;
  font-size: 1rem;
  line-height: 3em;
  text-transform: uppercase;
  transition: opacity 0.2s ease-in; }
  .menu__btn:hover {
    opacity: 0.75; }

.tutorial {
  padding: 8px 0;
  margin-bottom: auto;
  text-align: justify; }

* {
  box-sizing: border-box; }

body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
  background-color: #f5f5f6;
  color: black;
  /* Disables pull-to-refresh but allows overscroll glow effects. */
  overscroll-behavior-y: contain; }

h1, h2 {
  margin: 0.5em 0;
  text-align: center;
  font-weight: normal; }

p {
  margin-top: 0;
  margin-bottom: 0.5em; }
  p:last-child {
    margin-bottom: 0; }

ul {
  padding: 0;
  margin: 0.5em 0;
  list-style: none; }

ol {
  margin: 0.5em 0; }

button {
  border-radius: 0.5em;
  text-align: center;
  background-color: transparent;
  color: currentColor;
  cursor: pointer;
  outline: none;
  user-select: none;
  -webkit-tap-highlight-color: transparent; }

